# python3
# -*- coding: utf-8 -*-

# Copyright Gareth Boyes, 2021

grid_default = {
    'grid_method': 1,
    'centre': (1, 1, 1),
    'voxel_grid_dist': (1, 1, 1),
    'voxel_scale_factor': 1,
    'x_dir': (1, 0, 0),
    'z_dir': (0, 0, 1),
    'corner1': None,
    'corner2': None,
    'voxel_shape': None,
}

grid_corners = grid_default.copy()
grid_corners.update({
    'grid_method': 2,
    'corner1': (0, 0, 0),
    'corner2': (2, 2, 2),
})

grid_from_size = grid_default.copy()
grid_from_size.update({
    'grid_method': 3,
    'corner1': (0, 0, 0),
    'voxel_grid_dist': (1, 1, 1),
    'voxel_shape': (1, 1, 1)
})

grid_from_auto = grid_default.copy()
grid_from_auto.update({
    'grid_method': 4,
})

grid1 = grid_default.copy()
grid1.update({
    'grid_method': 1,
    'centre': (6, 0, 0),
    'voxel_grid_dist': (2, 4, 2),
    'voxel_scale_factor': 0.4,
    'x_dir': (1, 0, 0),
    'z_dir': (0, 0, 1),
    'corner1': (0, 0, 0),
    'corner2': None,
    'voxel_shape': (1, 1, 1)
})

grid2 = grid_default.copy()
grid2.update({
    'grid_method': 1,
    'centre': (6, 0, 0),
    'voxel_grid_dist': (10, 10, 10),
    'x_dir': (1, 1, 0),
    'z_dir': (0, 0, 1),
    'voxel_scale_factor': 1,

})

grid9 = {
    'grid_method': 2,
    'centre': (6, 0, 0),
    'voxel_grid_dist': (6, 4, 2),
    'voxel_scale_factor': 0.5,
    'x_dir': (1, 0, 0),
    'z_dir': (0, 0, 1),
    'corner1': (-4, -4, -3.9),
    'corner2': (16, 6, 6),
    'voxel_shape': (1, 1, 1)
}

grid10 = grid9.copy()
grid10.update({
    'voxel_scale_factor': 0.25,
})


grid11 = grid9.copy()
grid11.update({
    "x_dir": (1, 1, 0)})

grid13 = grid_default.copy()
grid13.update({
    'grid_method': 2,
    'voxel_scale_factor': 1,
    'x_dir': (10, -2.5, 0),
    'corner1': (83300, 36250, 90),
    'corner2': (83500, 36350, 120),
    'voxel_shape': (1, 1, 1)
})


grid14 = grid_default.copy()
grid14.update({
    'grid_method': 2,
    'voxel_scale_factor': 2,
    'x_dir': (10, -2.5, 0),
    'corner1': (83300, 36250, 90),
    'corner2': (83500, 36350, 120),
    'voxel_shape': (1, 1, 1)
})

grid15 = grid13.copy()
grid15.update({
    'voxel_scale_factor': 0.5,
})

grid16 = grid13.copy()
grid16.update({
    'voxel_scale_factor': 0.25,
})

grid17 = grid_corners.copy()
grid17.update({
    'corner1': (0, 0, 0),
    'corner2': (27, 23, 12),
    'voxel_scale_factor': 1,
})

grid18 = grid_corners.copy()
grid18.update({
    'voxel_scale_factor': 0.1,
    'corner1': (87045, 36388, 85),
    'corner2': (87062, 36410, 112),
})

grid19 = grid_corners.copy()
grid19.update({
    'corner1': (0, 0, 0),
    'corner2': (25, 22, 12),
    'voxel_scale_factor': 1,
})