# python3
# -*- coding: utf-8 -*-

# Copyright Gareth Boyes, 2021

from main_program import main

import getpass
import sys

from settings.setting_combinations import Setting

if getpass.getuser() == 'gareth' and sys.platform == 'win32':
    environment = "PC"
    raise Exception
elif getpass.getuser() == 'garethboyes' and sys.platform == "darwin":
    environment = "macbook"
    setting = Setting(2)
elif getpass.getuser() == 'garethboyes' and sys.platform == "win32":
    environment = "parallels"
    raise Exception

def test_main():
    main(setting, environment, test=True)

print("The End")