# python3
# -*- coding: utf-8 -*-

# Copyright Gareth Boyes, 2021

from settings.load_settings import get_grid_settings
from settings.load_settings import get_display_settings
from settings.load_settings import get_scene_settings
from settings.load_settings import get_progress_settings


def load_settings(scene_setting=3,
                  grid_setting=9,
                  display_setting=3,
                  progress_setting=3):

    s = {}
    s1 = get_scene_settings(scene_setting)
    s2 = get_grid_settings(grid_setting)
    s3 = get_display_settings(display_setting)
    s4 = get_progress_settings(progress_setting)

    s.update(s1._asdict())
    s.update(s2._asdict())
    s.update(s3._asdict())
    s.update(s4._asdict())

    return s
